Subject: Re: Whither a2ps.exe?
From: Jason Tishler <[email-masked]>
To: Thomas Harte <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 23 Nov 2001 22:13:28 -0500

Thomas,

In the future, please post to [email-masked] instead of sending
private email so others can benefit too.

On Fri, Nov 23, 2001 at 04:56:15PM -0800, Thomas Harte wrote:
> I'm getting problems when I execute a2ps, however:
> 
> $ a2ps --file-align=fill --medium=Letter --toc ./*.m -o prt2.ps
> a2ps:/usr/local/etc/a2ps.cfg:7: invalid option `\r'
> 
> so I followed a tip I found in another post to replace blank
> lines in the /usr/local/etc/a2ps*.cfg files with '#' but that
> generated the following:
> 
> $ a2ps --file-align=fill --medium=Letter --toc ./*.m -o prt2.ps
> a2ps:/usr/local/etc/a2ps.cfg:150: invalid option `#?o!cat!psnup'
> 
> and so on.
> 
> Have you come across the above problems?

No.

> Any suggestions?

The above sounds like a text vs. binary mode problem.  Does a2ps.cfg have
CRNL line endings?  If so, then convert it and the other configuration
files to binary mode (i.e., NL line endings).  Otherwise, complete the
port so that a2ps can tolerate text mode configuration files.  Please
search the mailing list archives for the various way to accomplish this.

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/